FAQ

What are the system requirements for PhotoCatch?

You must be running the macOS 12 Monterey or later and have a Mac with Apple Silicon.

  • An Intel Mac may work if it has 16GB of RAM and a compatible AMD GPU with 4GB of VRAM. The simplest way to verify GPU compatibility is by running the app on your Mac.

  • If you receive an error message when running the app, this indicates that your Mac does not have a compatible GPU.

Why does the app show a GPU error?

This indicates that your Mac is not compatible, but you can still use PhotoCatch Cloud from an iOS device.

Contact PhotoCatch
business@photocatch.com